/** Programa que localiza un arreglo de
   forma dinámica 
  Fraga 06.07.2023
**/
#include <stdio.h>
#include <stdlib.h>

void localizar( int n )
{
	int *vv;
	int i;

	vv = (int *) malloc( n*sizeof(int) );
	if ( vv == NULL ) {
		fprintf( stderr, "ERROR: no hay memoria\n" );
		exit(1);
	}

	for( i=0; i<n; i++ )
		vv[i] = i+2;

	for( i=0; i<n; i++ )
		printf("%d\n", vv[i] );

	free( vv ); 
}

int main( int argc, char *argv[] )
{
	int n;

	if ( argc != 2 ) {
		fprintf( stderr, "Args: n\n" );
		return -1;
	}
	n = strtol( argv[1], NULL, 10 );

	localizar( n );
}
